/* ********************************************************
** KEYTRAP2.JS - JS Key-Detection Library
** =====================================
** A simplified version of Rick Scott and Luan Dang's work.
** Will only work with Mozilla/Explorer based browsers.
******************************************************** */

function Key(code, action) { 
  this.code   = code;
  this.action = action;
}

var Keys = new Array(); // store Key objects in Keys[] array
var Count = 0;          // index into Keys[] 

Keys[Count++] = new Key(37, "reverse");  // Left Arrow
Keys[Count++] = new Key(219, "reverse"); // '['

Keys[Count++] = new Key(39, "forward");  // Right Arrow
Keys[Count++] = new Key(221, "forward"); // ']'

Keys[Count++] = new Key(38, "play"); // Up Arrow
Keys[Count++] = new Key(13, "play"); // Enter

Keys[Count++] = new Key(32, "pause"); // space key
Keys[Count++] = new Key(80, "pause"); // 'p'

Keys[Count++] = new Key(191, "replay"); // '/'
Keys[Count++] = new Key(8,   "replay"); // 'backspace'
Keys[Count++] = new Key(17,  "replay"); // 'Ctrl'

Keys[Count++] = new Key(40, "catchup"); // Down Arrow
Keys[Count++] = new Key(65, "catchup"); // 'A'

Keys[Count++] = new Key(70, "forward,forward,forward"); // 'F'
Keys[Count++] = new Key(82, "reverse,reverse,reverse"); // 'R'

Keys[Count++] = new Key(45, "tivo"); // 'insert'
Keys[Count++] = new Key(46, "livetv"); // 'delete'
Keys[Count++] = new Key(36, "guide"); // 'home'
Keys[Count++] = new Key(35, "display"); // 'end'
Keys[Count++] = new Key(33, "channelup"); // 'pgup'
Keys[Count++] = new Key(34, "channeldown"); // 'pgdn'
Keys[Count++] = new Key(104, "up"); // 'num8'
Keys[Count++] = new Key(100, "left"); // 'num4'
Keys[Count++] = new Key(102, "right"); // 'num6'
Keys[Count++] = new Key(98, "down"); // 'num2'
Keys[Count++] = new Key(101, "select"); // 'num5'

Keys[Count++] = new Key(48, "0"); // '0'
Keys[Count++] = new Key(49, "1"); // '1'
Keys[Count++] = new Key(50, "2"); // '2'
Keys[Count++] = new Key(51, "3"); // '3'
Keys[Count++] = new Key(52, "4"); // '4'
Keys[Count++] = new Key(53, "5"); // '5'
Keys[Count++] = new Key(54, "6"); // '6'
Keys[Count++] = new Key(55, "7"); // '7'
Keys[Count++] = new Key(56, "8"); // '8'
Keys[Count++] = new Key(57, "9"); // '9'

function keyDown(evt) { 
  var keycode=0;
  if (document.all) {
    var evt=window.event;
    keycode=evt.keyCode;
  } else keycode = evt.which;

  for (var i=0; i<Keys.length; i++) { 
    if (keycode == Keys[i].code) {
      location = Keys[i].action;
      return;
    }
  } 
}

document.onkeydown = keyDown;
